Subject: Re: [PATCH gnome-team v2 0/2] Make the glibmm-2.76 variable public in (gnu packages glib)

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 17 Mar 2024 09:30:14 +0100

Am Sonntag, dem 17.03.2024 um 08:29 +0100 schrieb Vivien Kraus:
> Hello!
> 
> Le samedi 16 mars 2024 à 21:31 -0400, Maxim Cournoyer a écrit :
> > > Telegram-desktop wants to be built with [email-masked]. I originally
> > > added it to (gnu packages telegram), but in this revision, I add
> > > it to (gnu packages glib).  What do you think?
> > 
> > Is there an incompatibility between our latest glibmm and this
> > version, or is it just the build system being overly strict?  If
> > the later, it'd be better to patch it so that it allows our current
> > version.
> 
> I did not choose the correct words, sorry. There is an
> incompatibility between the 2.76 API and the 2.78 that we use, and
> this version of the telegram package can only build against 2.76.
Could you give a more detailed explanation of this API incompatibility?
The whole point of major versions would be to avoid this kind of thing,
no?